# H323HTTPServiceControl Class Reference

`#include <svcctrl.h>`

Inheritance diagram for H323HTTPServiceControl:

[legend]
Collaboration diagram for H323HTTPServiceControl:
[legend]

## Public Member Functions

Construction
| H323HTTPServiceControl (const PString &url)
| H323HTTPServiceControl (const H225_ServiceControlDescriptor &contents)
Operations
virtual PBoolean | IsValid () const
virtual PString | GetServiceControlType () const
virtual PBoolean | OnReceivedPDU (const H225_ServiceControlDescriptor &contents)
virtual PBoolean | OnSendingPDU (H225_ServiceControlDescriptor &contents) const
virtual void | OnChange (unsigned type, unsigned sessionId, H323EndPoint &endpoint, H323Connection *connection) const

## Protected Attributes

PString | url

## Detailed Description

This class is for H.323 Service Control Session handling for HTTP. This implements the HTTP channel management as per Annex K/H.323.

## Constructor & Destructor Documentation

H323HTTPServiceControl::H323HTTPServiceControl | ( | const PString & | url | ) |

Create a new handler for a Service Control.

H323HTTPServiceControl::H323HTTPServiceControl | ( | const H225_ServiceControlDescriptor & | contents | ) |

Create a new handler for a Service Control, initialise to PDU.

## Member Function Documentation

virtual PString H323HTTPServiceControl::GetServiceControlType | ( |  | ) | const`[virtual]`

Get identification name for the Control Service. This function separates the dynamic data from the fundamental type of the control service which will cause a new session ID to be generated by the gatekeeper server.

Default behaviour returns the class name.

Reimplemented from H323ServiceControlSession.

virtual PBoolean H323HTTPServiceControl::IsValid | ( |  | ) | const`[virtual]`

Determine of the session is valid. That is has all of the data it needs to correctly encode a PDU.

Default behaviour returns true if url is not an empty string.

Implements H323ServiceControlSession.

virtual void H323HTTPServiceControl::OnChange | ( | unsigned | type,
|  | unsigned | sessionId,
|  | H323EndPoint & | endpoint,
|  | H323Connection * | connection |
| ) |  |  | const`[virtual]`

Handle a change of the state of the Service Control Session.

Default behaviour calls endpoint.OnHTTPServiceControl().

Implements H323ServiceControlSession.

virtual PBoolean H323HTTPServiceControl::OnReceivedPDU | ( | const H225_ServiceControlDescriptor & | contents | ) | `[virtual]`

Handle a received PDU. Update in the internal state from the received PDU.

Default behaviour gets the contents for an e_url.

Implements H323ServiceControlSession.

virtual PBoolean H323HTTPServiceControl::OnSendingPDU | ( | H225_ServiceControlDescriptor & | contents | ) | const`[virtual]`

Handle a sent PDU. Set the PDU fields from in the internal state.

Default behaviour sets the contents to an e_url.

Implements H323ServiceControlSession.

## Field Documentation

PString H323HTTPServiceControl::url `[protected]`

The documentation for this class was generated from the following file:

- svcctrl.h